NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Routing::RouteSweptFoldBuilder Class Reference

Represents a Rout Swept Fold Builder
To create a new instance of this class, use NXOpen::Routing::RouteManager::CreateRouteSweptFoldBuilder

Created in NX7.0.0. More...

Inheritance diagram for NXOpen::Routing::RouteSweptFoldBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::ExpressionBendAngle ()
 Returns the bend angle
Created in NX7.5.0. More...
 
NXOpen::ExpressionBendRadius ()
 Returns the bend radius
Created in NX7.5.0. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderFoldLocation ()
 Returns the fold location
Created in NX7.5.0. More...
 
NXOpen::ExpressionFoldRotationAngle ()
 Returns the fold rotation angle
Created in NX7.5.0. More...
 
NXOpen::ExpressionFoldStartRotationAngle ()
 Returns the fold start rotation angle
Created in NX7.5.0. More...
 
NXOpen::ExpressionLengthAdjustment ()
 Returns the length adjustment
Created in NX7.5.0. More...
 
bool ReverseBendAngle ()
 Returns the reverse bend angle
Created in NX7.5.0. More...
 
bool ReverseFixedSegment ()
 Returns the reverse fixed segment
Created in NX7.5.0. More...
 
bool ReverseFoldRotationAngle ()
 Returns the reverse fold rotation angle
Created in NX7.5.0. More...
 
void SetReverseBendAngle (bool reverseBendAngle)
 Sets the reverse bend angle
Created in NX7.5.0. More...
 
void SetReverseFixedSegment (bool reverseFixedSegment)
 Sets the reverse fixed segment
Created in NX7.5.0. More...
 
void SetReverseFoldRotationAngle (bool reverseFoldRotationAngle)
 Sets the reverse fold rotation angle
Created in NX7.5.0. More...
 
void SetStock (NXOpen::Routing::Stock *stock)
 Sets the value of stock, stock width and stock thickness to the builder. More...
 
NXOpen::CurveSpline ()
 Returns the spline stored in the builder. More...
 
NXOpen::SelectBodyStockSelection ()
 Returns the stock selection. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Rout Swept Fold Builder
To create a new instance of this class, use NXOpen::Routing::RouteManager::CreateRouteSweptFoldBuilder

Created in NX7.0.0.


Member Function Documentation

NXOpen::Expression* NXOpen::Routing::RouteSweptFoldBuilder::BendAngle ( )

Returns the bend angle
Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

NXOpen::Expression* NXOpen::Routing::RouteSweptFoldBuilder::BendRadius ( )

Returns the bend radius
Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Routing::RouteSweptFoldBuilder::FoldLocation ( )

Returns the fold location
Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

NXOpen::Expression* NXOpen::Routing::RouteSweptFoldBuilder::FoldRotationAngle ( )

Returns the fold rotation angle
Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

NXOpen::Expression* NXOpen::Routing::RouteSweptFoldBuilder::FoldStartRotationAngle ( )

Returns the fold start rotation angle
Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

NXOpen::Expression* NXOpen::Routing::RouteSweptFoldBuilder::LengthAdjustment ( )

Returns the length adjustment
Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

bool NXOpen::Routing::RouteSweptFoldBuilder::ReverseBendAngle ( )

Returns the reverse bend angle
Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

bool NXOpen::Routing::RouteSweptFoldBuilder::ReverseFixedSegment ( )

Returns the reverse fixed segment
Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

bool NXOpen::Routing::RouteSweptFoldBuilder::ReverseFoldRotationAngle ( )

Returns the reverse fold rotation angle
Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

void NXOpen::Routing::RouteSweptFoldBuilder::SetReverseBendAngle ( bool  reverseBendAngle)

Sets the reverse bend angle
Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

Parameters
reverseBendAnglereversebendangle
void NXOpen::Routing::RouteSweptFoldBuilder::SetReverseFixedSegment ( bool  reverseFixedSegment)

Sets the reverse fixed segment
Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

Parameters
reverseFixedSegmentreversefixedsegment
void NXOpen::Routing::RouteSweptFoldBuilder::SetReverseFoldRotationAngle ( bool  reverseFoldRotationAngle)

Sets the reverse fold rotation angle
Created in NX7.5.0.



License requirements : routing_harness ("Routing Harness")

Parameters
reverseFoldRotationAnglereversefoldrotationangle
void NXOpen::Routing::RouteSweptFoldBuilder::SetStock ( NXOpen::Routing::Stock stock)

Sets the value of stock, stock width and stock thickness to the builder.

This will set the stock only if it has rectangular cross section. After setting the stock it will create and set the spline for the builder. It will also set the spline curves for the builder if the stock has more than one segments.
Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

Parameters
stockSelected Stock
NXOpen::Curve* NXOpen::Routing::RouteSweptFoldBuilder::Spline ( )

Returns the spline stored in the builder.


Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")

NXOpen::SelectBody* NXOpen::Routing::RouteSweptFoldBuilder::StockSelection ( )

Returns the stock selection.

This will be the solid body
Created in NX7.5.0.

License requirements : routing_harness ("Routing Harness")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.